libstdc++: __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare > Class Template Reference

libstdc++

__gnu_parallel::_LoserTreePointer< false, _Tp, _Compare > Class Template Reference

`#include <losertree.h>`

Inheritance diagram for __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >:
[legend]

## Public Member Functions
| _LoserTreePointer (unsigned int __k, _Compare __comp=std::less< _Tp >())
void | __delete_min_insert (const _Tp &__key, bool __sup)
int | __get_min_source ()
void | __init ()
unsigned int | __init_winner (unsigned int __root)
void | __insert_start (const _Tp &__key, int __source, bool __sup)

## Protected Attributes
unsigned int | _M_ik
unsigned int | _M_offset

## Detailed Description

template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >

Unstable _LoserTree implementation.

The stable variant is above.

Definition at line 491 of file losertree.h.

## Constructor & Destructor Documentation

## ◆ _LoserTreePointer()

template<typename _Tp, typename _Compare>

__gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >::_LoserTreePointer | ( | unsigned int | __k,
|  | _Compare | __comp = std::less<_Tp>() )
| inline

Definition at line 500 of file losertree.h.

## Member Function Documentation

## ◆ __delete_min_insert()

template<typename _Tp, typename _Compare>

void __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >::__delete_min_insert | ( | const _Tp & | __key,
|  | bool | __sup )
| inline

Definition at line 534 of file losertree.h.

## ◆ __get_min_source()

int __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::__get_min_source | ( |  | ) |
| inline

Definition at line 390 of file losertree.h.

## ◆ __init()

template<typename _Tp, typename _Compare>

void __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >::__init | ( |  | ) |
| inline

Definition at line 531 of file losertree.h.

## ◆ __init_winner()

template<typename _Tp, typename _Compare>

unsigned int __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >::__init_winner | ( | unsigned int | __root | ) |
| inline

Definition at line 505 of file losertree.h.

## ◆ __insert_start()

void __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::__insert_start | ( | const _Tp & | __key,
|  | int | __source,
|  | bool | __sup )
| inline

Definition at line 393 of file losertree.h.

## Member Data Documentation

## ◆ _M_ik

unsigned int __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::_M_ik
| protected

Definition at line 368 of file losertree.h.

## ◆ _M_offset

unsigned int __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >::_M_offset
| protected

Definition at line 368 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h